rpm 4.20.1 The RPM Package Manager

Loading...
Searching...
No Matches
Functions
rpmfi.h File Reference
File Info Set Iterator API.
`#include <rpm/rpmtypes.h>`
`#include <rpm/rpmfiles.h>`
`#include <rpm/rpmarchive.h>`
`#include <rpm/rpmutil.h>`
Include dependency graph for rpmfi.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
rpmfi | rpmfiLink (rpmfi fi)
rpm_count_t | rpmfiFC (rpmfi fi)
int | rpmfiFX (rpmfi fi)
int | rpmfiSetFX (rpmfi fi, int fx)
rpm_count_t | rpmfiDC (rpmfi fi)
int | rpmfiDX (rpmfi fi)
const char * | rpmfiBN (rpmfi fi)
const char * | rpmfiDN (rpmfi fi)
const char * | rpmfiFN (rpmfi fi)
int | rpmfiFindFN (rpmfi fi, const char *fn)
const char * | rpmfiOBN (rpmfi fi)
const char * | rpmfiODN (rpmfi fi)
const char * | rpmfiOFN (rpmfi fi)
int | rpmfiFindOFN (rpmfi fi, const char *fn)
rpmfileAttrs | rpmfiFFlags (rpmfi fi)
rpmVerifyAttrs | rpmfiVFlags (rpmfi fi)
rpm_mode_t | rpmfiFMode (rpmfi fi)
rpmfileState | rpmfiFState (rpmfi fi)
int | rpmfiDigestAlgo (rpmfi fi)
const unsigned char * | rpmfiFDigest (rpmfi fi, int *algo, size_t *diglen)
char * | rpmfiFDigestHex (rpmfi fi, int *algo)
const unsigned char * | rpmfiFSignature (rpmfi fi, size_t *siglen)
const unsigned char * | rpmfiVSignature (rpmfi fi, size_t *siglen, uint16_t *algo)
const char * | rpmfiFLink (rpmfi fi)
rpm_loff_t | rpmfiFSize (rpmfi fi)
rpm_rdev_t | rpmfiFRdev (rpmfi fi)
rpm_ino_t | rpmfiFInode (rpmfi fi)
rpm_color_t | rpmfiColor (rpmfi fi)
rpm_color_t | rpmfiFColor (rpmfi fi)
const char * | rpmfiFClass (rpmfi fi)
uint32_t | rpmfiFDepends (rpmfi fi, const uint32_t **fddictp)
uint32_t | rpmfiFNlink (rpmfi fi)
uint32_t | rpmfiFLinks (rpmfi fi, const int **files)
rpm_time_t | rpmfiFMtime (rpmfi fi)
const char * | rpmfiFUser (rpmfi fi)
const char * | rpmfiFGroup (rpmfi fi)
const char * | rpmfiFCaps (rpmfi fi)
const char * | rpmfiFLangs (rpmfi fi)
int | rpmfiStat (rpmfi fi, int flags, struct stat *sb)
int | rpmfiNext (rpmfi fi)
rpmfi | rpmfiInit (rpmfi fi, int fx)
rpmfi | rpmfiFree (rpmfi fi)
rpmfi | rpmfiNewPool (rpmstrPool pool, Header h, rpmTagVal tagN, rpmfiFlags flags)
rpmfi | rpmfiNew (const rpmts ts, Header h, rpmTagVal tagN, rpmfiFlags flags)
rpmFileTypes | rpmfiWhatis (rpm_mode_t mode)
int | rpmfiCompare (const rpmfi afi, const rpmfi bfi)
rpmVerifyAttrs | rpmfiVerify (rpmfi fi, rpmVerifyAttrs omitMask)

## Detailed Description

File info set iterator API.